use warnings;
use strict;
use Test::More tests => 1;
use Test::Exception;
use Test::MockModule;
use Errno qw( ENFILE );


my $module = Test::MockModule->new('POWER::Epoll');
$module->mock('epoll_create' => sub { $!=ENFILE; return undef });
throws_ok { eval 'use POWER::Event::Epoll;'; die $@ if $@ } 
    qr/epoll_create: Too many open files/;

